Closed Bug 1285594 Opened 5 years ago Closed 4 years ago

Intermittent devtools/client/webconsole/test/browser_webconsole_split_persist.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

Categories

(DevTools :: Console, defect, P5)

defect

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: bulk-close-intermittents, intermittent-failure, Whiteboard: [stockwell fixed])

Priority: -- → P3
Depends on: 1328915
This will drop off almost entirely with Bug 1328915
we only have some lingering issues on win7/win8 debug:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285594&startday=2017-01-16&endday=2017-01-19&tree=all

very low frequency, would be good to know if this is something that we need to split up, add more timeout, or debug why we hit a code path where we cause a much longer delay in this test.

:gbrown, can you use your tool to help determine what average runtimes are for this on win7/win8 debug?
Flags: needinfo?(gbrown)
Test durations for devtools/client/webconsole/test/browser_webconsole_split_persist.js on mozilla-central,mozilla-inbound,autoland between 2017-01-12 and 2017-01-19
linux32/debug:                  52.70 s (45.15 s - 58.67 s over 70 runs)
linux32/opt-chunked:             6.76 s (6.33 s - 7.76 s over 565 runs)
linux32/opt-e10s:                8.82 s (6.50 s - 18.16 s over 371 runs)
linux32/opt:                    14.83 s (10.71 s - 28.65 s over 84 runs)
linux32/pgo-e10s:               12.89 s (9.66 s - 15.81 s over 60 runs)
linux32/pgo:                    11.32 s (9.38 s - 13.99 s over 52 runs)
linux64/asan-chunked:           32.09 s (24.90 s - 38.31 s over 576 runs)
linux64/asan-e10s:              33.01 s (25.87 s - 38.31 s over 283 runs)
linux64/debug-chunked:          28.33 s (23.99 s - 36.23 s over 574 runs)
linux64/debug-e10s:             28.40 s (23.99 s - 35.51 s over 294 runs)
linux64/opt-chunked:             6.59 s (6.21 s - 7.62 s over 570 runs)
linux64/opt-e10s:                8.55 s (6.24 s - 18.02 s over 380 runs)
linux64/opt:                    13.64 s (10.12 s - 15.90 s over 91 runs)
linux64/pgo-chunked:             5.70 s (5.32 s - 6.88 s over 561 runs)
linux64/pgo-e10s:                6.93 s (5.34 s - 15.93 s over 338 runs)
linux64/pgo:                    11.45 s (10.06 s - 14.79 s over 63 runs)
macosx64/debug-e10s:            21.69 s (18.79 s - 24.69 s over 91 runs)
macosx64/debug:                 23.22 s (19.43 s - 26.35 s over 87 runs)
macosx64/opt-e10s:               5.57 s (5.17 s - 6.16 s over 100 runs)
macosx64/opt:                    5.86 s (4.85 s - 8.18 s over 103 runs)
win32/debug-e10s:               34.41 s (21.39 s - 43.80 s over 87 runs)
win32/debug:                    40.02 s (23.57 s - 46.01 s over 84 runs)
win32/opt-e10s:                  5.75 s (5.49 s - 6.41 s over 95 runs)
win32/opt:                       6.22 s (5.97 s - 7.81 s over 86 runs)
win32/pgo-e10s:                  4.58 s (4.42 s - 5.07 s over 55 runs)
win32/pgo:                       4.97 s (4.82 s - 5.62 s over 62 runs)
win64/debug-e10s:               33.66 s (19.54 s - 40.75 s over 83 runs)
win64/debug:                    38.87 s (22.03 s - 47.64 s over 80 runs)
win64/opt-e10s:                  5.29 s (5.15 s - 5.67 s over 96 runs)
win64/opt:                       5.76 s (5.64 s - 6.10 s over 105 runs)
win64/pgo-e10s:                  4.49 s (4.37 s - 4.68 s over 65 runs)
win64/pgo:                       4.91 s (4.79 s - 5.08 s over 65 runs)


The recent change in bug 1329034 should increase the debug timeout to 90 seconds, so I anticipate no new failures on trunk.
Flags: needinfo?(gbrown)
thanks Geoff, I see that win7/8 debug are trending closer to the 45s time limit, and your changes in bug 1329034 will help here.  

looking at a win7 log [0], I see this:
05:04:29     INFO - TEST-START | devtools/client/webconsole/test/browser_webconsole_split_persist.js
05:04:29     INFO - ++DOCSHELL 0EB59400 == 10 [pid = 3180] [id = {195a492d-2931-4cb9-b61b-090fde2f4bd1}]
05:04:29     INFO - ++DOMWINDOW == 31 (0EB5A400) [pid = 3180] [serial = 2848] [outer = 00000000]
05:04:29     INFO - ++DOMWINDOW == 32 (0EB62800) [pid = 3180] [serial = 2849] [outer = 0EB5A400]
05:04:29     INFO - ++DOCSHELL 0FF48400 == 11 [pid = 3180] [id = {2aca7bfb-4d55-47ff-9bd8-fd5558b63cd1}]
05:04:29     INFO - ++DOMWINDOW == 33 (0FF49000) [pid = 3180] [serial = 2850] [outer = 00000000]
05:04:29     INFO - ++DOMWINDOW == 34 (0FF4A800) [pid = 3180] [serial = 2851] [outer = 0FF49000]
05:04:29     INFO - ++DOMWINDOW == 35 (0FFF2800) [pid = 3180] [serial = 2852] [outer = 0FF49000]
05:04:29     INFO - [3180] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x8007000E: file c:/builds/moz2_slave/autoland-w32-d-000000000000000/build/src/dom/xul/nsXULPrototypeCache.cpp, line 323
05:04:32     INFO - ++DOCSHELL 0D692000 == 12 [pid = 3180] [id = {a186a101-736c-456a-89b3-ad9f47c83301}]
05:04:32     INFO - ++DOMWINDOW == 36 (179C6400) [pid = 3180] [serial = 2853] [outer = 00000000]
05:04:32     INFO - ++DOMWINDOW == 37 (18CBB400) [pid = 3180] [serial = 2854] [outer = 179C6400]
05:04:33     INFO - ++DOCSHELL 19826800 == 13 [pid = 3180] [id = {ba17c056-327d-4fe8-b26b-8b1995e6a44f}]
05:04:33     INFO - ++DOMWINDOW == 38 (19828400) [pid = 3180] [serial = 2855] [outer = 00000000]
05:04:33     INFO - ++DOMWINDOW == 39 (19260400) [pid = 3180] [serial = 2856] [outer = 19828400]
05:04:34     INFO - ++DOCSHELL 13B1E400 == 14 [pid = 3180] [id = {f4582c51-b0bb-4940-9575-18ab295dc407}]
05:04:34     INFO - ++DOMWINDOW == 40 (179A7C00) [pid = 3180] [serial = 2857] [outer = 00000000]
05:04:34     INFO - ++DOMWINDOW == 41 (179A8C00) [pid = 3180] [serial = 2858] [outer = 179A7C00]
05:04:34     INFO - ++DOCSHELL 198CB800 == 15 [pid = 3180] [id = {7dffe48b-8b78-41e0-bd9d-a4a1d5b668b8}]
05:04:34     INFO - ++DOMWINDOW == 42 (198CBC00) [pid = 3180] [serial = 2859] [outer = 00000000]
05:04:35     INFO - --DOCSHELL 13B1E400 == 14 [pid = 3180] [id = {f4582c51-b0bb-4940-9575-18ab295dc407}]
05:04:35     INFO - ++DOMWINDOW == 43 (1A003800) [pid = 3180] [serial = 2860] [outer = 198CBC00]
05:04:39     INFO - --DOMWINDOW == 42 (0E106000) [pid = 3180] [serial = 2838] [outer = 00000000] [url = about:blank]
05:04:39     INFO - --DOMWINDOW == 41 (1508D400) [pid = 3180] [serial = 2840] [outer = 00000000] [url = about:blank]
05:04:40     INFO - ++DOCSHELL 15070400 == 15 [pid = 3180] [id = {57a05326-b1a3-4afb-a008-c41b00d9384c}]
05:04:40     INFO - ++DOMWINDOW == 42 (15072400) [pid = 3180] [serial = 2861] [outer = 00000000]
05:04:40     INFO - ++DOMWINDOW == 43 (15076C00) [pid = 3180] [serial = 2862] [outer = 15072400]
05:04:43     INFO - --DOCSHELL 198CB800 == 14 [pid = 3180] [id = {7dffe48b-8b78-41e0-bd9d-a4a1d5b668b8}]
05:04:43     INFO - ++DOMWINDOW == 44 (15077C00) [pid = 3180] [serial = 2863] [outer = 0FF49000]
05:04:43     INFO - --DOCSHELL 19826800 == 13 [pid = 3180] [id = {ba17c056-327d-4fe8-b26b-8b1995e6a44f}]
05:04:45     INFO - --DOCSHELL 0D692000 == 12 [pid = 3180] [id = {a186a101-736c-456a-89b3-ad9f47c83301}]
05:04:45     INFO - --DOCSHELL 0EB61C00 == 11 [pid = 3180] [id = {c739190a-f33d-468f-b26b-9ccbab8d55b5}]
05:04:45     INFO - --DOCSHELL 0FF48400 == 10 [pid = 3180] [id = {2aca7bfb-4d55-47ff-9bd8-fd5558b63cd1}]
05:04:45     INFO - --DOMWINDOW == 43 (14438800) [pid = 3180] [serial = 2844] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 42 (0E170000) [pid = 3180] [serial = 2828] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 41 (0EB62400) [pid = 3180] [serial = 2830] [outer = 00000000] [url = data:text/html;charset=utf-8,<p>Web%20Console%20test%20for%20splitting</p>]
05:04:45     INFO - --DOMWINDOW == 40 (0FF4DC00) [pid = 3180] [serial = 2835] [outer = 00000000] [url = chrome://devtools/content/inspector/inspector.xhtml]
05:04:45     INFO - --DOMWINDOW == 39 (0FFEF000) [pid = 3180] [serial = 2832] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 38 (0EB62000) [pid = 3180] [serial = 2841] [outer = 00000000] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
05:04:45     INFO - --DOMWINDOW == 37 (0E654C00) [pid = 3180] [serial = 2829] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 36 (0F25A800) [pid = 3180] [serial = 2831] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 35 (0FFF1000) [pid = 3180] [serial = 2834] [outer = 00000000] [url = about:devtools-toolbox]
05:04:45     INFO - --DOMWINDOW == 34 (0FFEF800) [pid = 3180] [serial = 2833] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 33 (0FFF5C00) [pid = 3180] [serial = 2845] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 32 (13F04400) [pid = 3180] [serial = 2843] [outer = 00000000] [url = chrome://devtools/content/webconsole/webconsole.xul]
05:04:45     INFO - --DOMWINDOW == 31 (19260C00) [pid = 3180] [serial = 2836] [outer = 00000000] [url = about:blank]
05:04:45     INFO - --DOMWINDOW == 30 (18CB3800) [pid = 3180] [serial = 2842] [outer = 00000000] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
05:04:46     INFO - ++DOCSHELL 0BFE9800 == 11 [pid = 3180] [id = {0be579ee-2584-4f32-8d23-475ac1656f2b}]
05:04:46     INFO - ++DOMWINDOW == 31 (0D603C00) [pid = 3180] [serial = 2864] [outer = 00000000]
05:04:46     INFO - ++DOMWINDOW == 32 (0D69B800) [pid = 3180] [serial = 2865] [outer = 0D603C00]
05:04:46     INFO - --DOMWINDOW == 31 (19828400) [pid = 3180] [serial = 2855] [outer = 00000000] [url = about:blank]
05:04:46     INFO - --DOMWINDOW == 30 (179A7C00) [pid = 3180] [serial = 2857] [outer = 00000000] [url = about:blank]
05:04:46     INFO - ++DOCSHELL 0D6A0400 == 12 [pid = 3180] [id = {e5cf70bf-d565-47ca-bae5-999c0ccf8d37}]
05:04:46     INFO - ++DOMWINDOW == 31 (0EB5E000) [pid = 3180] [serial = 2866] [outer = 00000000]
05:04:46     INFO - ++DOMWINDOW == 32 (0EB61400) [pid = 3180] [serial = 2867] [outer = 0EB5E000]
05:04:46     INFO - ++DOMWINDOW == 33 (0F02EC00) [pid = 3180] [serial = 2868] [outer = 0EB5E000]
05:04:46     INFO - [3180] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x8007000E: file c:/builds/moz2_slave/autoland-w32-d-000000000000000/build/src/dom/xul/nsXULPrototypeCache.cpp, line 323
05:04:49     INFO - ++DOCSHELL 1688E000 == 13 [pid = 3180] [id = {63fca134-d031-4586-9425-7edc330a7b2a}]
05:04:49     INFO - ++DOMWINDOW == 34 (1691C000) [pid = 3180] [serial = 2869] [outer = 00000000]
05:04:49     INFO - ++DOMWINDOW == 35 (16A5EC00) [pid = 3180] [serial = 2870] [outer = 1691C000]
05:04:49     INFO - ++DOCSHELL 173F0800 == 14 [pid = 3180] [id = {e3129cfa-31ae-41db-b285-40feffa8c2b9}]
05:04:49     INFO - ++DOMWINDOW == 36 (173F1000) [pid = 3180] [serial = 2871] [outer = 00000000]
05:04:49     INFO - ++DOMWINDOW == 37 (16E93000) [pid = 3180] [serial = 2872] [outer = 173F1000]
05:04:51     INFO - ++DOCSHELL 1623E400 == 15 [pid = 3180] [id = {f5e46d55-204e-4f88-8cfb-8b63afc88b90}]
05:04:51     INFO - ++DOMWINDOW == 38 (17590000) [pid = 3180] [serial = 2873] [outer = 00000000]
05:04:51     INFO - ++DOMWINDOW == 39 (17591400) [pid = 3180] [serial = 2874] [outer = 17590000]
05:04:51     INFO - ++DOCSHELL 139DE000 == 16 [pid = 3180] [id = {8215eb34-29cf-49f6-8a80-62871abf4aff}]
05:04:51     INFO - ++DOMWINDOW == 40 (173F3800) [pid = 3180] [serial = 2875] [outer = 00000000]
05:04:51     INFO - --DOCSHELL 1623E400 == 15 [pid = 3180] [id = {f5e46d55-204e-4f88-8cfb-8b63afc88b90}]
05:04:51     INFO - ++DOMWINDOW == 41 (179A4400) [pid = 3180] [serial = 2876] [outer = 173F3800]
05:04:56     INFO - --DOCSHELL 15070400 == 14 [pid = 3180] [id = {57a05326-b1a3-4afb-a008-c41b00d9384c}]
05:04:56     INFO - --DOCSHELL 0D6AA400 == 13 [pid = 3180] [id = {5416c355-6179-4849-a6f8-4df857df66ad}]
05:04:56     INFO - --DOMWINDOW == 40 (19260400) [pid = 3180] [serial = 2856] [outer = 00000000] [url = about:blank]
05:04:56     INFO - --DOMWINDOW == 39 (179A8C00) [pid = 3180] [serial = 2858] [outer = 00000000] [url = about:blank]
05:04:57     INFO - ++DOCSHELL 10085400 == 14 [pid = 3180] [id = {bcba1f4e-976e-49de-8460-3442f5686fcf}]
05:04:57     INFO - ++DOMWINDOW == 40 (10085800) [pid = 3180] [serial = 2877] [outer = 00000000]
05:04:57     INFO - ++DOMWINDOW == 41 (100A5400) [pid = 3180] [serial = 2878] [outer = 10085800]
05:05:00     INFO - --DOCSHELL 139DE000 == 13 [pid = 3180] [id = {8215eb34-29cf-49f6-8a80-62871abf4aff}]
05:05:00     INFO - ++DOMWINDOW == 42 (100AC400) [pid = 3180] [serial = 2879] [outer = 0EB5E000]
05:05:00     INFO - --DOCSHELL 173F0800 == 12 [pid = 3180] [id = {e3129cfa-31ae-41db-b285-40feffa8c2b9}]
05:05:02     INFO - --DOCSHELL 1688E000 == 11 [pid = 3180] [id = {63fca134-d031-4586-9425-7edc330a7b2a}]
05:05:02     INFO - --DOCSHELL 10085400 == 10 [pid = 3180] [id = {bcba1f4e-976e-49de-8460-3442f5686fcf}]
05:05:02     INFO - --DOCSHELL 0D6A0400 == 9 [pid = 3180] [id = {e5cf70bf-d565-47ca-bae5-999c0ccf8d37}]
05:05:03     INFO - ++DOCSHELL 0D698C00 == 10 [pid = 3180] [id = {0ce75e38-15b0-46c8-972a-1923c932b9ec}]
05:05:03     INFO - ++DOMWINDOW == 43 (0D69CC00) [pid = 3180] [serial = 2880] [outer = 00000000]
05:05:03     INFO - ++DOMWINDOW == 44 (0F255C00) [pid = 3180] [serial = 2881] [outer = 0D69CC00]
05:05:03     INFO - --DOMWINDOW == 43 (173F1000) [pid = 3180] [serial = 2871] [outer = 00000000] [url = about:blank]
05:05:03     INFO - --DOMWINDOW == 42 (15072400) [pid = 3180] [serial = 2861] [outer = 00000000] [url = chrome://devtools/content/webconsole/webconsole.xul]
05:05:03     INFO - --DOMWINDOW == 41 (17590000) [pid = 3180] [serial = 2873] [outer = 00000000] [url = about:blank]
05:05:03     INFO - --DOMWINDOW == 40 (0FF49000) [pid = 3180] [serial = 2850] [outer = 00000000] [url = about:blank]
05:05:03     INFO - --DOMWINDOW == 39 (198CBC00) [pid = 3180] [serial = 2859] [outer = 00000000] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
05:05:03     INFO - --DOMWINDOW == 38 (179C6400) [pid = 3180] [serial = 2853] [outer = 00000000] [url = chrome://devtools/content/inspector/inspector.xhtml]
05:05:03     INFO - ++DOCSHELL 0F657000 == 11 [pid = 3180] [id = {9cc23deb-d377-4196-974c-c5e3f2cecd8b}]
05:05:03     INFO - ++DOMWINDOW == 39 (10017000) [pid = 3180] [serial = 2882] [outer = 00000000]
05:05:03     INFO - ++DOMWINDOW == 40 (10017C00) [pid = 3180] [serial = 2883] [outer = 10017000]
05:05:04     INFO - ++DOMWINDOW == 41 (10021400) [pid = 3180] [serial = 2884] [outer = 10017000]
05:05:04     INFO - [3180] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x8007000E: file c:/builds/moz2_slave/autoland-w32-d-000000000000000/build/src/dom/xul/nsXULPrototypeCache.cpp, line 323
05:05:07     INFO - ++DOCSHELL 16A58C00 == 12 [pid = 3180] [id = {90c04d5b-cee2-4b20-ae9d-56f473d20b47}]
05:05:07     INFO - ++DOMWINDOW == 42 (199B1800) [pid = 3180] [serial = 2885] [outer = 00000000]
05:05:07     INFO - ++DOMWINDOW == 43 (199BBC00) [pid = 3180] [serial = 2886] [outer = 199B1800]
05:05:07     INFO - ++DOCSHELL 1A009400 == 13 [pid = 3180] [id = {d1d21a5c-0d54-4f4c-a327-8e906b7f1821}]
05:05:07     INFO - ++DOMWINDOW == 44 (1A009800) [pid = 3180] [serial = 2887] [outer = 00000000]
05:05:07     INFO - ++DOMWINDOW == 45 (19EB1C00) [pid = 3180] [serial = 2888] [outer = 1A009800]
05:05:08     INFO - ++DOCSHELL 199AFC00 == 14 [pid = 3180] [id = {09d2b708-5223-415a-9cf1-2c52bd5c7c2e}]
05:05:08     INFO - ++DOMWINDOW == 46 (1A033C00) [pid = 3180] [serial = 2889] [outer = 00000000]
05:05:08     INFO - ++DOMWINDOW == 47 (1A034800) [pid = 3180] [serial = 2890] [outer = 1A033C00]
05:05:09     INFO - ++DOCSHELL 1A00EC00 == 15 [pid = 3180] [id = {3c3774a8-5fb0-4da4-88a8-bfa499dc292b}]
05:05:09     INFO - ++DOMWINDOW == 48 (1A00F400) [pid = 3180] [serial = 2891] [outer = 00000000]
05:05:09     INFO - --DOCSHELL 199AFC00 == 14 [pid = 3180] [id = {09d2b708-5223-415a-9cf1-2c52bd5c7c2e}]
05:05:09     INFO - ++DOMWINDOW == 49 (1A735400) [pid = 3180] [serial = 2892] [outer = 1A00F400]
05:05:13     INFO - --DOMWINDOW == 48 (15076C00) [pid = 3180] [serial = 2862] [outer = 00000000] [url = about:blank]
05:05:13     INFO - --DOMWINDOW == 47 (16E93000) [pid = 3180] [serial = 2872] [outer = 00000000] [url = about:blank]
05:05:13     INFO - --DOMWINDOW == 46 (17591400) [pid = 3180] [serial = 2874] [outer = 00000000] [url = about:blank]
05:05:13     INFO - --DOMWINDOW == 45 (15077C00) [pid = 3180] [serial = 2863] [outer = 00000000] [url = about:blank]
05:05:13     INFO - --DOMWINDOW == 44 (1A003800) [pid = 3180] [serial = 2860] [outer = 00000000] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
05:05:13     INFO - --DOMWINDOW == 43 (18CBB400) [pid = 3180] [serial = 2854] [outer = 00000000] [url = about:blank]
05:05:13     INFO - --DOMWINDOW == 42 (0FFF2800) [pid = 3180] [serial = 2852] [outer = 00000000] [url = about:devtools-toolbox]
05:05:13     INFO - --DOMWINDOW == 41 (0FF4A800) [pid = 3180] [serial = 2851] [outer = 00000000] [url = about:blank]
05:05:15     INFO - --DOCSHELL 1A00EC00 == 13 [pid = 3180] [id = {3c3774a8-5fb0-4da4-88a8-bfa499dc292b}]
05:05:15     INFO - ++DOMWINDOW == 42 (1506E000) [pid = 3180] [serial = 2893] [outer = 10017000]
05:05:15     INFO - --DOCSHELL 1A009400 == 12 [pid = 3180] [id = {d1d21a5c-0d54-4f4c-a327-8e906b7f1821}]
05:05:17     INFO - --DOCSHELL 16A58C00 == 11 [pid = 3180] [id = {90c04d5b-cee2-4b20-ae9d-56f473d20b47}]
05:05:17     INFO - --DOCSHELL 0F657000 == 10 [pid = 3180] [id = {9cc23deb-d377-4196-974c-c5e3f2cecd8b}]
05:05:17     INFO - --DOMWINDOW == 41 (1A009800) [pid = 3180] [serial = 2887] [outer = 00000000] [url = about:blank]
05:05:17     INFO - --DOMWINDOW == 40 (1A033C00) [pid = 3180] [serial = 2889] [outer = 00000000] [url = about:blank]
05:05:17     INFO - --DOMWINDOW == 39 (173F3800) [pid = 3180] [serial = 2875] [outer = 00000000] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
05:05:17     INFO - --DOMWINDOW == 38 (1691C000) [pid = 3180] [serial = 2869] [outer = 00000000] [url = chrome://devtools/content/inspector/inspector.xhtml]
05:05:18     INFO - TEST-INFO | started process screenshot
05:05:18     INFO - TEST-INFO | screenshot: exit 0
05:05:18     INFO - Buffered messages logged at 05:04:29
05:05:18     INFO - Test that the split console state is persisted
05:05:18     INFO - Opening a tab while there is no user setting on split console pref
05:05:18     INFO - Buffered messages logged at 05:04:40
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console is hidden by default. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console button is unchecked by default. - 
05:05:18     INFO - Buffered messages logged at 05:04:43
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console is now visible. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console button is now checked. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Visibility pref is true - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Panel height matches the pref - 
05:05:18     INFO - Buffered messages logged at 05:04:45
05:05:18     INFO - Opening a tab while there is a true user setting on split console pref
05:05:18     INFO - Buffered messages logged at 05:05:00
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console is visible by default. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console button is checked by default. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Height is set based on panel height after closing - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console input is focused by default - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | The actual height of the console is bound with a min height - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | The actual height of the console is bound with a max height - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console is now hidden. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console button is now unchecked. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Visibility pref is false - 
05:05:18     INFO - Buffered messages logged at 05:05:03
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Height is set based on panel height after closing - 
05:05:18     INFO - Opening a tab while there is a false user setting on split console pref
05:05:18     INFO - Buffered messages logged at 05:05:15
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Split console is hidden by default. - 
05:05:18     INFO - TEST-PASS | devtools/client/webconsole/test/browser_webconsole_split_persist.js | Visibility pref is false - 
05:05:18     INFO - Buffered messages logged at 05:05:17
05:05:18     INFO - Removing tab.
05:05:18     INFO - Waiting for event: 'TabClose' on [object XULElement].
05:05:18     INFO - Got event: 'TabClose' on [object XULElement].
05:05:18     INFO - Tab removed and finished closing
05:05:18     INFO - Removing tab.
05:05:18     INFO - Waiting for event: 'TabClose' on [object XULElement].
05:05:18     INFO - Got event: 'TabClose' on [object XULElement].
05:05:18     INFO - Buffered messages logged at 05:05:18
05:05:18     INFO - Tab removed and finished closing
05:05:18     INFO - Removing tab.
05:05:18     INFO - Waiting for event: 'TabClose' on [object XULElement].
05:05:18     INFO - Got event: 'TabClose' on [object XULElement].
05:05:18     INFO - Tab removed and finished closing
05:05:18     INFO - Buffered messages finished
05:05:18     INFO - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/browser_webconsole_split_persist.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - 
05:05:18     INFO - MEMORY STAT | vsize 1013MB | vsizeMaxContiguous 325MB | residentFast 290MB | heapAllocated 137MB
05:05:18     INFO - TEST-OK | devtools/client/webconsole/test/browser_webconsole_split_persist.js | took 49389ms



it seems as though we are finishing all of the calls and getting to toolbox.destroy():
https://dxr.mozilla.org/mozilla-central/source/devtools/client/webconsole/test/browser_webconsole_split_persist.js?q=path%3Abrowser_webconsole_split_persist.js&redirect_type=single#81

if that is the case, then we have trouble cleaning up, or did we take too long getting to the end and just barely went over the time limit?

:bgrins any thoughts here?  Should we wait and see if this just disappears now that debug is default 90 second timeout?

[0] https://archive.mozilla.org/pub/firefox/tinderbox-builds/autoland-win32-debug/1484735228/autoland_win7_vm-debug_test-mochitest-devtools-chrome-5-bm139-tests1-windows-build379.txt.gz
Flags: needinfo?(bgrinstead)
(In reply to Joel Maher ( :jmaher) from comment #24)
> it seems as though we are finishing all of the calls and getting to
> toolbox.destroy():
> https://dxr.mozilla.org/mozilla-central/source/devtools/client/webconsole/
> test/browser_webconsole_split_persist.
> js?q=path%3Abrowser_webconsole_split_persist.js&redirect_type=single#81
> 
> if that is the case, then we have trouble cleaning up, or did we take too
> long getting to the end and just barely went over the time limit?
> 
> :bgrins any thoughts here?  Should we wait and see if this just disappears
> now that debug is default 90 second timeout?

Thanks for the analysis Geoff and Joel.  I'm inclined to just wait and see if this drops off.  If it doesn't and there's actually something going on in toolbox destroy, then Alex might be able to help since he knows a lot about that and has been improving the code lately (like Bug 1328004).
Flags: needinfo?(bgrinstead)
Whiteboard: [stockwell fixed]
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Bulk priority update of open intermittent test failure bugs. 

P3 => P5

https://bugzilla.mozilla.org/show_bug.cgi?id=1381960
Priority: P3 → P5
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 4 years ago4 years ago
Resolution: --- → INCOMPLETE
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.